require './lib/studio_game/game'

module StudioGame
describe Game do

  before do
    @game = StudioGame::Game.new("Knuckleheads")

    @initial_health = 100
    @player = StudioGame::Player.new("moe", @initial_health)

    @game.add_player(@player)
  end

  it "w00ts the player if a high number is rolled" do
    allow_any_instance_of(Die).to receive(:roll).and_return(5)

    @game.play

    expect(@player.health).to eq(@initial_health + 15)
  end

  it "assigns a treasure for points during a player's turn" do
    game = StudioGame::Game.new("Knuckleheads")
    player = StudioGame::Player.new("moe")

    game.add_player(player)

    game.play

    expect(player.points).not_to be_zero
  end
end
end
